<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3087
Name: Laborparameter
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3087-2017-04-24T000000">
   <title>Laborparameter</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3087
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]
Item: (Laborparameter)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]"
         id="d127e2263-false-d87071e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']])&gt;=1">(Laborparameter): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']])&lt;=1">(Laborparameter): Element hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3087
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]
Item: (Laborparameter)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]"
         id="d127e2279-false-d87095e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="string(@classCode)=('DOCSECT')">(Laborparameter): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Laborparameter): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="string(@moodCode)=('EVN')">(Laborparameter): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Laborparameter): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3087'])&gt;=1">(Laborparameter): Element hl7:templateId[@root='1.2.276.0.76.10.3087'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3087'])&lt;=1">(Laborparameter): Element hl7:templateId[@root='1.2.276.0.76.10.3087'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:id)&lt;=1">(Laborparameter): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Laborparameter): Element hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Laborparameter): Element hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Laborparameter): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Laborparameter): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Laborparameter): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Laborparameter): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]])&lt;=1">(Laborparameter): Element hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3087
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:templateId[@root='1.2.276.0.76.10.3087']
Item: (Laborparameter)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:templateId[@root='1.2.276.0.76.10.3087']"
         id="d127e2285-false-d87267e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborparameter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3087')">(Laborparameter): Der Wert von @root MUSS '1.2.276.0.76.10.3087' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Laborparameter): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3087
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:id
Item: (Laborparameter)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:id"
         id="d127e2290-false-d87288e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborparameter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3087
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Laborparameter)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:code[(@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2292-false-d87302e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborparameter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Relevant diagnostic tests/​laboratory data Narrative' and @codeSystemName='LOINC')">(Laborparameter): Der Elementinhalt MUSS einer von 'code '30954-2' codeSystem '2.16.840.1.113883.6.1' displayName='Relevant diagnostic tests/​laboratory data Narrative' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3087
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:title[not(@nullFlavor)]
Item: (Laborparameter)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:title[not(@nullFlavor)]"
         id="d127e2298-false-d87322e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborparameter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="text()='Laborparameter'">(Laborparameter): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Laborparameter'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3087
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:text[not(@nullFlavor)]
Item: (Laborparameter)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:text[not(@nullFlavor)]"
         id="d127e2304-false-d87340e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborparameter): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3087
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]
Item: (Laborparameter)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3087']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4242']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(Laborparameter): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Laborparameter): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Laborparameter): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3087-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Laborparameter): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
