<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4209
Name: Absaugen Gruppe Entry
Description: Absaugen Gruppe Entry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4209-2017-05-15T000000">
   <title>Absaugen Gruppe Entry</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]
Item: (AbsaugenGruppeEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]
Item: (AbsaugenGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]"
         id="d127e8565-false-d122753e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="string(@classCode)=('CLUSTER')">(AbsaugenGruppeEntry): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AbsaugenGruppeEntry): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(AbsaugenGruppeEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(AbsaugenGruppeEntry): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4209'])&gt;=1">(AbsaugenGruppeEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4209'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4209'])&lt;=1">(AbsaugenGruppeEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4209'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="count(hl7:code)&lt;=1">(AbsaugenGruppeEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(AbsaugenGruppeEntry): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(AbsaugenGruppeEntry): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(AbsaugenGruppeEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:templateId[@root='1.2.276.0.76.10.4209']
Item: (AbsaugenGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:templateId[@root='1.2.276.0.76.10.4209']"
         id="d127e8571-false-d123005e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbsaugenGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4209')">(AbsaugenGruppeEntry): Der Wert von @root MUSS '1.2.276.0.76.10.4209' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(AbsaugenGruppeEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:id
Item: (AbsaugenGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:id"
         id="d127e8576-false-d123026e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbsaugenGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:code
Item: (AbsaugenGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:code"
         id="d127e8578-false-d123040e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbsaugenGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="@nullFlavor or (@code='10044890' and @codeSystem='2.16.840.1.113883.6.97' and @displayName='Suctioning the Airway')">(AbsaugenGruppeEntry): Der Elementinhalt MUSS einer von 'code '10044890' codeSystem '2.16.840.1.113883.6.97' displayName='Suctioning the Airway'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (AbsaugenGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e8584-false-d123060e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbsaugenGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(AbsaugenGruppeEntry): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:effectiveTime
Item: (AbsaugenGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:effectiveTime"
         id="d127e8589-false-d123080e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4209-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AbsaugenGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4210']]]
Item: (AbsaugenGruppeEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]
Item: (AbsaugenGruppeEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4212']]]
Item: (AbsaugenGruppeEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4209
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4209']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4213']]]
Item: (AbsaugenGruppeEntry)
--></pattern>
