<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4221
Name: Trachealkanüle Gruppe Entry
Description: Trachealkanüle Info
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4221-2017-05-16T000000">
   <title>Trachealkanüle Gruppe Entry</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]
Item: (TrachealkanueleGruppeEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]
Item: (TrachealkanueleGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]"
         id="d127e9224-false-d127310e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="string(@classCode)=('CLUSTER')">(TrachealkanueleGruppeEntry): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(TrachealkanueleGruppeEntry): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="string(@moodCode)=('EVN')">(TrachealkanueleGruppeEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(TrachealkanueleGruppeEntry): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4221'])&gt;=1">(TrachealkanueleGruppeEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4221'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4221'])&lt;=1">(TrachealkanueleGruppeEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4221'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:id)&lt;=1">(TrachealkanueleGruppeEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:code[(@code='706198004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(TrachealkanueleGruppeEntry): Element hl7:code[(@code='706198004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:code[(@code='706198004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(TrachealkanueleGruppeEntry): Element hl7:code[(@code='706198004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(TrachealkanueleGruppeEntry): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(TrachealkanueleGruppeEntry): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]])&lt;=1">(TrachealkanueleGruppeEntry): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]])&lt;=1">(TrachealkanueleGruppeEntry): Element hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]])&lt;=1">(TrachealkanueleGruppeEntry): Element hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:templateId[@root='1.2.276.0.76.10.4221']
Item: (TrachealkanueleGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:templateId[@root='1.2.276.0.76.10.4221']"
         id="d127e9230-false-d127568e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TrachealkanueleGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4221')">(TrachealkanueleGruppeEntry): Der Wert von @root MUSS '1.2.276.0.76.10.4221' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:id
Item: (TrachealkanueleGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:id"
         id="d127e9235-false-d127586e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TrachealkanueleGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:code[(@code='706198004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (TrachealkanueleGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:code[(@code='706198004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9237-false-d127600e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TrachealkanueleGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="@nullFlavor or (@code='706198004' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Respiratory cannula (physical object)' and @codeSystemName='SNOMED CT')">(TrachealkanueleGruppeEntry): Der Elementinhalt MUSS einer von 'code '706198004' codeSystem '2.16.840.1.113883.6.96' displayName='Respiratory cannula (physical object)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (TrachealkanueleGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e9243-false-d127620e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TrachealkanueleGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(TrachealkanueleGruppeEntry): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant
Item: (TrachealkanueleGruppeEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="string(@typeCode)=('CSM')">(TrachealkanueleGruppeEntry): Der Wert von @typeCode MUSS 'CSM' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4220
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant
Item: (CDAManufacturedProductTrachealkanuele)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4220
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]
Item: (CDAManufacturedProductTrachealkanuele)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="string(@classCode)=('MANU') or not(@classCode)">(CDAManufacturedProductTrachealkanuele): Der Wert von @classCode MUSS 'MANU' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDAManufacturedProductTrachealkanuele): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]])&lt;=1">(CDAManufacturedProductTrachealkanuele): Element hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="count(hl7:manufacturerOrganization[not(@nullFlavor)])&gt;=1">(CDAManufacturedProductTrachealkanuele): Element hl7:manufacturerOrganization[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="count(hl7:manufacturerOrganization[not(@nullFlavor)])&lt;=1">(CDAManufacturedProductTrachealkanuele): Element hl7:manufacturerOrganization[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4220
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:id
Item: (CDAManufacturedProductTrachealkanuele)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4220-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAManufacturedProductTrachealkanuele): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4219
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]
Item: (MaterialTrachealkanuele)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="string(@classCode)=('MMAT') or not(@classCode)">(MaterialTrachealkanuele): Der Wert von @classCode MUSS 'MMAT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(MaterialTrachealkanuele): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="string(@determinerCode)=('KIND') or not(@determinerCode)">(MaterialTrachealkanuele): Der Wert von @determinerCode MUSS 'KIND' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(MaterialTrachealkanuele): Attribute @determinerCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="count(hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(MaterialTrachealkanuele): Element hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="count(hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(MaterialTrachealkanuele): Element hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="count(hl7:name)&lt;=1">(MaterialTrachealkanuele): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(MaterialTrachealkanuele): Element hl7:lotNumberText kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4219
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (MaterialTrachealkanuele)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialTrachealkanuele): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="@nullFlavor or (@code='129121000' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Tracheostomy tube, device (physical object)' and @codeSystemName='SNOMED CT')">(MaterialTrachealkanuele): Der Elementinhalt MUSS einer von 'code '129121000' codeSystem '2.16.840.1.113883.6.96' displayName='Tracheostomy tube, device (physical object)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4219
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:name
Item: (MaterialTrachealkanuele)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:name">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialTrachealkanuele): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4219
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:lotNumberText
Item: (MaterialTrachealkanuele)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]/hl7:lotNumberText">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4219-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MaterialTrachealkanuele): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4220
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]
Item: (CDAManufacturedProductTrachealkanuele)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(OrganizationElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(OrganizationElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(OrganizationElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(OrganizationElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(OrganizationElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:id">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:telecom">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:participant/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='129121000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]]]/hl7:manufacturerOrganization[not(@nullFlavor)]/hl7:addr">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]
Item: (TrachealkanueleGruppeEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4222']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="string(@typeCode)=('COMP')">(TrachealkanueleGruppeEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]
Item: (TrachealkanueleGruppeEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4223']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="string(@typeCode)=('COMP')">(TrachealkanueleGruppeEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4221
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]
Item: (TrachealkanueleGruppeEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4221']]/hl7:component[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4221-2017-05-16T000000.html"
              test="string(@typeCode)=('COMP')">(TrachealkanueleGruppeEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>
</pattern>
