<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4225
Name: Wundbeobachtung
Description: Wundbeobachtung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4225-2017-05-16T000000">
   <title>Wundbeobachtung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4225
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]
Item: (Wundbeobachtung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4225
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]
Item: (Wundbeobachtung)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]"
         id="d127e9474-false-d129003e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(Wundbeobachtung): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Wundbeobachtung): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="string(@moodCode)=('EVN')">(Wundbeobachtung): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Wundbeobachtung): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4225'])&gt;=1">(Wundbeobachtung): Element hl7:templateId[@root='1.2.276.0.76.10.4225'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4225'])&lt;=1">(Wundbeobachtung): Element hl7:templateId[@root='1.2.276.0.76.10.4225'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="count(hl7:code[(@code='364554009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor])&gt;=1">(Wundbeobachtung): Element hl7:code[(@code='364554009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="count(hl7:code[(@code='364554009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor])&lt;=1">(Wundbeobachtung): Element hl7:code[(@code='364554009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="count(hl7:text)&lt;=1">(Wundbeobachtung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Wundbeobachtung): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Wundbeobachtung): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4225
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:templateId[@root='1.2.276.0.76.10.4225']
Item: (Wundbeobachtung)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:templateId[@root='1.2.276.0.76.10.4225']"
         id="d127e9480-false-d129090e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Wundbeobachtung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4225')">(Wundbeobachtung): Der Wert von @root MUSS '1.2.276.0.76.10.4225' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4225
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:code[(@code='364554009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor]
Item: (Wundbeobachtung)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:code[(@code='364554009' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d127e9485-false-d129108e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Wundbeobachtung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="@nullFlavor or (@code='364554009' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Wound observable (observable entity)' and @codeSystemName='SNOMED CT')">(Wundbeobachtung): Der Elementinhalt MUSS einer von 'code '364554009' codeSystem '2.16.840.1.113883.6.96' displayName='Wound observable (observable entity)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4225
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:text
Item: (Wundbeobachtung)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:text"
         id="d127e9490-false-d129128e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Wundbeobachtung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4225
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:statusCode
Item: (Wundbeobachtung)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:statusCode"
         id="d127e9493-false-d129142e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Wundbeobachtung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(Wundbeobachtung): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4225
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:effectiveTime
Item: (Wundbeobachtung)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:effectiveTime"
         id="d127e9498-false-d129162e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Wundbeobachtung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4225
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:value
Item: (Wundbeobachtung)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:value"
         id="d127e9500-false-d129176e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Wundbeobachtung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4225
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:interpretationCode
Item: (Wundbeobachtung)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4225']]/hl7:interpretationCode"
         id="d127e9502-false-d129190e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Wundbeobachtung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4225-2017-05-16T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Wundbeobachtung): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.78 ObservationInterpretation (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
