<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.16
Name: Pflegerische Maßnahmen
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027">
   <title>Pflegerische Maßnahmen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.16
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]
Item: (Pflegerischemassnahmen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.16
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]
Item: (Pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]"
         id="d127e11900-false-d143395e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16'])&gt;=1">(Pflegerischemassnahmen): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16'])&lt;=1">(Pflegerischemassnahmen): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="count(hl7:id)&lt;=1">(Pflegerischemassnahmen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="count(hl7:code[(@code='27573-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Pflegerischemassnahmen): Element hl7:code[(@code='27573-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="count(hl7:code[(@code='27573-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Pflegerischemassnahmen): Element hl7:code[(@code='27573-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Pflegerischemassnahmen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Pflegerischemassnahmen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Pflegerischemassnahmen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Pflegerischemassnahmen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.16
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']
Item: (Pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']"
         id="d127e11902-false-d143463e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.16')">(Pflegerischemassnahmen): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.16' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.16
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:id
Item: (Pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:id"
         id="d127e11907-false-d143481e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.16
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:code[(@code='27573-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:code[(@code='27573-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e11909-false-d143495e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="@nullFlavor or (@code='27573-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Skilled nursing treatment plan, Plan of treatment (narrative)' and @codeSystemName='LOINC')">(Pflegerischemassnahmen): Der Elementinhalt MUSS einer von 'code '27573-5' codeSystem '2.16.840.1.113883.6.1' displayName='Skilled nursing treatment plan, Plan of treatment (narrative)' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.16
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:title[not(@nullFlavor)]
Item: (Pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:title[not(@nullFlavor)]"
         id="d127e11914-false-d143515e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="text()='Pflegerische Maßnahmen'">(Pflegerischemassnahmen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Pflegerische Maßnahmen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.16
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:text[not(@nullFlavor)]
Item: (Pflegerischemassnahmen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.16']]/hl7:text[not(@nullFlavor)]"
         id="d127e11920-false-d143533e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.16-2017-05-01T170027.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegerischemassnahmen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
