<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.44
Name: Nebendiagnose
Description: Nebendiagnose
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653">
   <title>Nebendiagnose</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.44
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]
Item: (Nebendiagnose)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.44
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]
Item: (Nebendiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]"
         id="d127e12091-false-d144276e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(Nebendiagnose): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Nebendiagnose): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="string(@moodCode)=('EVN')">(Nebendiagnose): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Nebendiagnose): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44'])&gt;=1">(Nebendiagnose): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44'])&lt;=1">(Nebendiagnose): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:id)&lt;=1">(Nebendiagnose): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:code[(@code='81885-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(Nebendiagnose): Element hl7:code[(@code='81885-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:code[(@code='81885-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(Nebendiagnose): Element hl7:code[(@code='81885-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:text)&lt;=1">(Nebendiagnose): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(Nebendiagnose): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(Nebendiagnose): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:effectiveTime)&gt;=1">(Nebendiagnose): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:effectiveTime)&lt;=1">(Nebendiagnose): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:value)&gt;=1">(Nebendiagnose): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="count(hl7:value)&lt;=1">(Nebendiagnose): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.44
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']
Item: (Nebendiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']"
         id="d127e12097-false-d144378e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Nebendiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.44')">(Nebendiagnose): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.44' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Nebendiagnose): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.44
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:id
Item: (Nebendiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:id"
         id="d127e12102-false-d144399e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Nebendiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.44
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:code[(@code='81885-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Nebendiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:code[(@code='81885-6' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d127e12104-false-d144413e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Nebendiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="@nullFlavor or (@code='81885-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Secondary diagnosis' and @codeSystemName='LOINC')">(Nebendiagnose): Der Elementinhalt MUSS einer von 'code '81885-6' codeSystem '2.16.840.1.113883.6.1' displayName='Secondary diagnosis' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.44
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:text
Item: (Nebendiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:text"
         id="d127e12110-false-d144433e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Nebendiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.44
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (Nebendiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e12112-false-d144447e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Nebendiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="@nullFlavor or (@code='completed')">(Nebendiagnose): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.44
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:effectiveTime
Item: (Nebendiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:effectiveTime"
         id="d127e12117-false-d144467e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Nebendiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.44
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:value
Item: (Nebendiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.44']]/hl7:value"
         id="d127e12119-false-d144481e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.44-2017-05-09T153653.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Nebendiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
</pattern>
