<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3080
Name: Heil- und Hilfsmittel
Description: Heil- und Hilfsmittel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3080-2017-04-06T000000">
   <title>Heil- und Hilfsmittel</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3080
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]
Item: (heilundhilfsmittel)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3080
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]
Item: (heilundhilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]"
         id="d127e1936-false-d82033e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3080'])&gt;=1">(heilundhilfsmittel): Element hl7:templateId[@root='1.2.276.0.76.10.3080'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3080'])&lt;=1">(heilundhilfsmittel): Element hl7:templateId[@root='1.2.276.0.76.10.3080'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="count(hl7:id)&lt;=1">(heilundhilfsmittel): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="count(hl7:code[(@code='81635-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(heilundhilfsmittel): Element hl7:code[(@code='81635-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="count(hl7:code[(@code='81635-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(heilundhilfsmittel): Element hl7:code[(@code='81635-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(heilundhilfsmittel): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(heilundhilfsmittel): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(heilundhilfsmittel): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(heilundhilfsmittel): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3080
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:templateId[@root='1.2.276.0.76.10.3080']
Item: (heilundhilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:templateId[@root='1.2.276.0.76.10.3080']"
         id="d127e1938-false-d82192e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(heilundhilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3080')">(heilundhilfsmittel): Der Wert von @root MUSS '1.2.276.0.76.10.3080' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(heilundhilfsmittel): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3080
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:id
Item: (heilundhilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:id"
         id="d127e1943-false-d82213e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(heilundhilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3080
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:code[(@code='81635-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (heilundhilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:code[(@code='81635-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e1945-false-d82227e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(heilundhilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="@nullFlavor or (@code='81635-5' and @codeSystem='2.16.840.1.113883.6.1')">(heilundhilfsmittel): Der Elementinhalt MUSS einer von 'code '81635-5' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3080
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:title[not(@nullFlavor)]
Item: (heilundhilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:title[not(@nullFlavor)]"
         id="d127e1950-false-d82247e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(heilundhilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="text()='Heil- und Hilfsmittel'">(heilundhilfsmittel): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Heil- und Hilfsmittel'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3080
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:text[not(@nullFlavor)]
Item: (heilundhilfsmittel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:text[not(@nullFlavor)]"
         id="d127e1956-false-d82265e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3080-2017-04-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(heilundhilfsmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3080
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3080']]/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.276.0.76.10.4196']]]
Item: (heilundhilfsmittel)
--></pattern>
