<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3091
Name: Alarmkriterien
Description: Section, welche Angaben zu Alarmkriterien enthält
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3091-2017-04-28T000000">
   <title>Alarmkriterien</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3091
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]
Item: (Alarmkriterien)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3091
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]
Item: (Alarmkriterien)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]"
         id="d127e2513-false-d93385e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Alarmkriterien): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Alarmkriterien): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="string(@moodCode)=('EVN.CRT') or not(@moodCode)">(Alarmkriterien): Der Wert von @moodCode MUSS 'EVN.CRT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Alarmkriterien): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3091'])&gt;=1">(Alarmkriterien): Element hl7:templateId[@root='1.2.276.0.76.10.3091'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3091'])&lt;=1">(Alarmkriterien): Element hl7:templateId[@root='1.2.276.0.76.10.3091'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:id)&lt;=1">(Alarmkriterien): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Alarmkriterien): Element hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Alarmkriterien): Element hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Alarmkriterien): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Alarmkriterien): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Alarmkriterien): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Alarmkriterien): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]])&lt;=1">(Alarmkriterien): Element hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3091
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:templateId[@root='1.2.276.0.76.10.3091']
Item: (Alarmkriterien)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:templateId[@root='1.2.276.0.76.10.3091']"
         id="d127e2519-false-d94055e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmkriterien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3091')">(Alarmkriterien): Der Wert von @root MUSS '1.2.276.0.76.10.3091' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Alarmkriterien): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3091
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:id
Item: (Alarmkriterien)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:id"
         id="d127e2524-false-d94076e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmkriterien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3091
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Alarmkriterien)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:code[(@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2526-false-d94090e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmkriterien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="@nullFlavor or (@code='X-ALARMCRIT' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Alarm Criterion Parameter')">(Alarmkriterien): Der Elementinhalt MUSS einer von 'code 'X-ALARMCRIT' codeSystem '2.16.840.1.113883.6.1' displayName='Alarm Criterion Parameter'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3091
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:title[not(@nullFlavor)]
Item: (Alarmkriterien)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:title[not(@nullFlavor)]"
         id="d127e2532-false-d94110e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmkriterien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="text()='Alarmkriterien'">(Alarmkriterien): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Alarmkriterien'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3091
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:text[not(@nullFlavor)]
Item: (Alarmkriterien)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:text[not(@nullFlavor)]"
         id="d127e2538-false-d94128e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Alarmkriterien): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3091
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]
Item: (Alarmkriterien)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3091']]/hl7:entry[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4246']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="string(@typeCode)=('COMP')">(Alarmkriterien): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Alarmkriterien): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Alarmkriterien): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3091-2017-04-28T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Alarmkriterien): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
