<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3095
Name: Pflegebericht
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3095-2017-05-01T000000">
   <title>Pflegebericht</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3095
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]
Item: (Pflegebericht)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3095
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]
Item: (Pflegebericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]"
         id="d127e2662-false-d96757e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Pflegebericht): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Pflegebericht): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(Pflegebericht): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Pflegebericht): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3095'])&gt;=1">(Pflegebericht): Element hl7:templateId[@root='1.2.276.0.76.10.3095'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3095'])&lt;=1">(Pflegebericht): Element hl7:templateId[@root='1.2.276.0.76.10.3095'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="count(hl7:id)&lt;=1">(Pflegebericht): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="count(hl7:code[(@code='34746-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Pflegebericht): Element hl7:code[(@code='34746-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="count(hl7:code[(@code='34746-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Pflegebericht): Element hl7:code[(@code='34746-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Pflegebericht): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Pflegebericht): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Pflegebericht): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Pflegebericht): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3095
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:templateId[@root='1.2.276.0.76.10.3095']
Item: (Pflegebericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:templateId[@root='1.2.276.0.76.10.3095']"
         id="d127e2668-false-d96838e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegebericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3095')">(Pflegebericht): Der Wert von @root MUSS '1.2.276.0.76.10.3095' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Pflegebericht): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3095
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:id
Item: (Pflegebericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:id"
         id="d127e2673-false-d96859e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegebericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3095
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:code[(@code='34746-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Pflegebericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:code[(@code='34746-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2675-false-d96873e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegebericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="@nullFlavor or (@code='34746-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Nurse Note' and @codeSystemName='LOINC')">(Pflegebericht): Der Elementinhalt MUSS einer von 'code '34746-8' codeSystem '2.16.840.1.113883.6.1' displayName='Nurse Note' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3095
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:title[not(@nullFlavor)]
Item: (Pflegebericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:title[not(@nullFlavor)]"
         id="d127e2681-false-d96893e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegebericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="text()='Pflegebericht'">(Pflegebericht): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Pflegebericht'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3095
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:text[not(@nullFlavor)]
Item: (Pflegebericht)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3095']]/hl7:text[not(@nullFlavor)]"
         id="d127e2687-false-d96911e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3095-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Pflegebericht): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
