<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4205
Name: Blutzucker
Description: Blutzucker
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4205-2017-05-15T000000">
   <title>Blutzucker</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]
Item: (Blutzucker)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]"
         id="d127e8347-false-d121619e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(Blutzucker): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Blutzucker): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN')">(Blutzucker): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Blutzucker): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4205'])&gt;=1">(Blutzucker): Element hl7:templateId[@root='1.2.276.0.76.10.4205'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4205'])&lt;=1">(Blutzucker): Element hl7:templateId[@root='1.2.276.0.76.10.4205'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:id)&lt;=1">(Blutzucker): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:code[(@code='2339-0' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(Blutzucker): Element hl7:code[(@code='2339-0' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:code[(@code='2339-0' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(Blutzucker): Element hl7:code[(@code='2339-0' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:text)&lt;=1">(Blutzucker): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Blutzucker): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(Blutzucker): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(Blutzucker): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(Blutzucker): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(Blutzucker): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(Blutzucker): Element hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="count(hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(Blutzucker): Element hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:templateId[@root='1.2.276.0.76.10.4205']
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:templateId[@root='1.2.276.0.76.10.4205']"
         id="d127e8353-false-d121738e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutzucker): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4205')">(Blutzucker): Der Wert von @root MUSS '1.2.276.0.76.10.4205' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Blutzucker): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:id
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:id"
         id="d127e8358-false-d121759e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutzucker): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:code[(@code='2339-0' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:code[(@code='2339-0' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d127e8360-false-d121773e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutzucker): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="@nullFlavor or (@code='2339-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Glucose [Mass/​volume] in Blood' and @codeSystemName='LOINC')">(Blutzucker): Der Elementinhalt MUSS einer von 'code '2339-0' codeSystem '2.16.840.1.113883.6.1' displayName='Glucose [Mass/​volume] in Blood' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:text
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:text"
         id="d127e8366-false-d121793e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutzucker): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:statusCode
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:statusCode"
         id="d127e8368-false-d121807e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutzucker): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(Blutzucker): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e8373-false-d121827e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutzucker): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:value[not(@nullFlavor)]
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:value[not(@nullFlavor)]"
         id="d127e8375-false-d121841e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutzucker): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(@nullFlavor or (@unit='mg/dL'))">(Blutzucker): value MUSS die Einheit 'mg/dL' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="$digitok or @nullFlavor">(Blutzucker): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Blutzucker): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:methodCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d127e8380-false-d121870e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutzucker): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.14079-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Blutzucker): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.14079 ObservationMethod (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4205
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:targetSiteCode
Item: (Blutzucker)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4205']]/hl7:targetSiteCode"
         id="d127e8385-false-d121895e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutzucker): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4205-2017-05-15T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(Blutzucker): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.1052'' sein.</assert>
   </rule>
</pattern>
