<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4208
Name: Mobilisation Gruppe Entry
Description: Mobilisation Gruppe Entry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4208-2017-05-15T000000">
   <title>Mobilisation Gruppe Entry</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4208
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]
Item: (MobilisationGruppeEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4208
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]
Item: (MobilisationGruppeEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]"
         id="d127e8515-false-d122366e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="string(@classCode)=('CLUSTER')">(MobilisationGruppeEntry): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(MobilisationGruppeEntry): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN')">(MobilisationGruppeEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(MobilisationGruppeEntry): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4208'])&gt;=1">(MobilisationGruppeEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4208'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4208'])&lt;=1">(MobilisationGruppeEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4208'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="count(hl7:id)&lt;=1">(MobilisationGruppeEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="count(hl7:code)&lt;=1">(MobilisationGruppeEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="count(hl7:text)&lt;=1">(MobilisationGruppeEntry): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(MobilisationGruppeEntry): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4208
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:templateId[@root='1.2.276.0.76.10.4208']
Item: (MobilisationGruppeEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:templateId[@root='1.2.276.0.76.10.4208']"
         id="d127e8521-false-d122522e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MobilisationGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4208')">(MobilisationGruppeEntry): Der Wert von @root MUSS '1.2.276.0.76.10.4208' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(MobilisationGruppeEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4208
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:id
Item: (MobilisationGruppeEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:id"
         id="d127e8526-false-d122543e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MobilisationGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4208
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:code
Item: (MobilisationGruppeEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:code"
         id="d127e8528-false-d122557e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MobilisationGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="@nullFlavor or (@code='225287004' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Procedures relating to positioning and support (procedure)' and @codeSystemName='Snomed CT')">(MobilisationGruppeEntry): Der Elementinhalt MUSS einer von 'code '225287004' codeSystem '2.16.840.1.113883.6.96' displayName='Procedures relating to positioning and support (procedure)' codeSystemName='Snomed CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4208
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:text
Item: (MobilisationGruppeEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:text"
         id="d127e8534-false-d122577e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MobilisationGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4208
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:statusCode
Item: (MobilisationGruppeEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:statusCode"
         id="d127e8536-false-d122591e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MobilisationGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(MobilisationGruppeEntry): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4208
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]
Item: (MobilisationGruppeEntry)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4206']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="string(@typeCode)=('COMP')">(MobilisationGruppeEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(MobilisationGruppeEntry): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4208
Context: *[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4207']]]
Item: (MobilisationGruppeEntry)
-->
   <rule context="*[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]]/hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4208']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4207']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="string(@typeCode)=('COMP')">(MobilisationGruppeEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4208-2017-05-15T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(MobilisationGruppeEntry): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>
</pattern>
