<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4224
Name: Cuffdruck
Description: Cuffdruck der Manschette der Trachealkanüle
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4224-2017-05-16T000000">
   <title>Cuffdruck</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4224
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]
Item: (Cuffdruck)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4224
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]
Item: (Cuffdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]"
         id="d127e9426-false-d128751e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="string(@classCode)=('OBS')">(Cuffdruck): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Cuffdruck): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="string(@moodCode)=('EVN')">(Cuffdruck): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Cuffdruck): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4224'])&gt;=1">(Cuffdruck): Element hl7:templateId[@root='1.2.276.0.76.10.4224'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4224'])&lt;=1">(Cuffdruck): Element hl7:templateId[@root='1.2.276.0.76.10.4224'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:id)&lt;=1">(Cuffdruck): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:code[(@code='250856006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Cuffdruck): Element hl7:code[(@code='250856006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:code[(@code='250856006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Cuffdruck): Element hl7:code[(@code='250856006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:text)&lt;=1">(Cuffdruck): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Cuffdruck): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Cuffdruck): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(Cuffdruck): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(Cuffdruck): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4224
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:templateId[@root='1.2.276.0.76.10.4224']
Item: (Cuffdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:templateId[@root='1.2.276.0.76.10.4224']"
         id="d127e9432-false-d128847e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cuffdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4224')">(Cuffdruck): Der Wert von @root MUSS '1.2.276.0.76.10.4224' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Cuffdruck): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4224
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:id
Item: (Cuffdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:id"
         id="d127e9437-false-d128868e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cuffdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4224
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:code[(@code='250856006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Cuffdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:code[(@code='250856006' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e9439-false-d128882e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cuffdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="@nullFlavor or (@code='250856006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Airway device cuff pressure (observable entity)' and @codeSystemName='SNOMED CT')">(Cuffdruck): Der Elementinhalt MUSS einer von 'code '250856006' codeSystem '2.16.840.1.113883.6.96' displayName='Airway device cuff pressure (observable entity)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4224
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:text
Item: (Cuffdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:text"
         id="d127e9445-false-d128902e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cuffdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4224
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:statusCode
Item: (Cuffdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:statusCode"
         id="d127e9447-false-d128916e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cuffdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(Cuffdruck): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4224
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:effectiveTime
Item: (Cuffdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:effectiveTime"
         id="d127e9452-false-d128936e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cuffdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4224
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:value[not(@nullFlavor)]
Item: (Cuffdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4224']]/hl7:value[not(@nullFlavor)]"
         id="d127e9454-false-d128950e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Cuffdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="(@nullFlavor or (@unit='mm[Hg]')) or (@nullFlavor or (@unit='cm[H2O]'))">(Cuffdruck): value MUSS die Einheit 'mm[Hg]' nutzen  oder die Einheit 'cm[H2O]' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="$digitok or @nullFlavor">(Cuffdruck): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4224-2017-05-16T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Cuffdruck): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
