<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.43
Name: Hauptdiagnose
Description: Hauptdiagnose
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727">
   <title>Hauptdiagnose</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.43
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]
Item: (Hauptdiagnose)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.43
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]
Item: (Hauptdiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]"
         id="d127e12037-false-d144040e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(Hauptdiagnose): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Hauptdiagnose): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="string(@moodCode)=('EVN')">(Hauptdiagnose): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Hauptdiagnose): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43'])&gt;=1">(Hauptdiagnose): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43'])&lt;=1">(Hauptdiagnose): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:id)&lt;=1">(Hauptdiagnose): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:code[(@code='52534-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(Hauptdiagnose): Element hl7:code[(@code='52534-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:code[(@code='52534-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(Hauptdiagnose): Element hl7:code[(@code='52534-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:text)&lt;=1">(Hauptdiagnose): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(Hauptdiagnose): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(Hauptdiagnose): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:effectiveTime)&lt;=1">(Hauptdiagnose): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:value)&gt;=1">(Hauptdiagnose): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="count(hl7:value)&lt;=1">(Hauptdiagnose): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.43
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']
Item: (Hauptdiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']"
         id="d127e12043-false-d144139e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauptdiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.43')">(Hauptdiagnose): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.43' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Hauptdiagnose): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.43
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:id
Item: (Hauptdiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:id"
         id="d127e12048-false-d144160e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauptdiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.43
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:code[(@code='52534-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Hauptdiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:code[(@code='52534-5' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d127e12050-false-d144174e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauptdiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="@nullFlavor or (@code='52534-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Principal Diagnosis' and @codeSystemName='LOINC')">(Hauptdiagnose): Der Elementinhalt MUSS einer von 'code '52534-5' codeSystem '2.16.840.1.113883.6.1' displayName='Principal Diagnosis' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.43
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:text
Item: (Hauptdiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:text"
         id="d127e12056-false-d144194e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauptdiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.43
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (Hauptdiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e12058-false-d144208e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauptdiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="@nullFlavor or (@code='completed')">(Hauptdiagnose): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.43
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:effectiveTime
Item: (Hauptdiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:effectiveTime"
         id="d127e12063-false-d144228e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauptdiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.43
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:value
Item: (Hauptdiagnose)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.43']]/hl7:value"
         id="d127e12065-false-d144242e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.43-2017-05-08T174727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauptdiagnose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
</pattern>
